(function () {
    "use strict";

    angular.module('core').controller('homeController', controller);
    controller.$inject = ['$scope', '$window'];

    function controller($scope, $window) {
        $scope.initializeLayout('GOFLASH');

        $scope.state = {
            principais: [
                { titulo: 'Capa', materialIcon: 'home', state: 'state-home', descricao: 'Tela principal e inicial do sistema.', allowed: true },
            ],
            atalhos: [
            ],
            relatorios: [
            ]
        };

        $scope.initialize = function () {
            
        };
        $scope.searchFocus = function () {
            var h = $('.cover').height() - $('#header').height();
            $('body')
                .animate({ scrollTop: h }, 300);
        }

        $scope.initialize();

    }

})();